Bug 108735 - com.arsdigita.cms.Folder.containsFolders() works the opposite way than it should
Summary: com.arsdigita.cms.Folder.containsFolders() works the opposite way than it sh...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 18:25 UTC by Nuno Santos
Modified: 2013-09-12 22:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:18:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nuno Santos 2003-10-31 18:25:05 UTC
Reported by a client: in 6.0, com.arsdigita.cms.Folder.containsFolders() works
the opposite way than it should, returning false when the folder contains other
folders, and true if it does not. The problem is in the folderHasNoSubFolders
query in Folder.pdl, which returns 1 if the folder has subfolders.

Comment 1 Jon Orris 2006-09-05 17:18:25 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.